Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## SEdit
Class Formalism

    java.lang.Object
      SEdit.Formalism

    public class Formalism

extends java.lang.Object

A Formalism definition

Version:
  2.0

Field Summary
`java.util.Hashtable<java.lang.String,ActionDesc>` | `actions`
`java.util.Vector<java.lang.String>` | `authors`
`java.lang.String` | `docURL`
`java.lang.String` | `icon`

Constructor Summary
`Formalism()`
`Formalism(java.lang.String _name)`
`Formalism(java.lang.String _name, java.lang.String _structClass, java.lang.Object _authors, java.lang.String _htmldoc, java.lang.String _icon)` constructor used by the scheme function defFormalism

Method Summary
`void` | `addActionDesc(ActionDesc a)`
`void` | `addArrowDesc(ArrowDesc d)`
`void` | `addConnectorDesc(ConnectorDesc d)`
`void` | `addNodeDesc(NodeDesc d)`
`void` | `dump()`
`ActionDesc` | `getAction(java.lang.String s)`
`java.util.Hashtable<java.lang.String,ActionDesc>` | `getActions()`
`ArrowDesc` | `getArrowDesc(java.lang.String name)`
`java.util.Vector<ArrowDesc>` | `getArrowDescList()`
`java.lang.Object` | `getBase()`
`ConnectorDesc` | `getConnectorDesc(java.lang.String name)`
`java.util.Vector<ConnectorDesc>` | `getConnectorDescList()`
`ElementDesc` | `getDesc(java.lang.String name)`
`java.lang.String` | `getDescription()`
`java.util.Hashtable` | `getGraphicProperties()` Get the value of graphic properties.
`java.lang.String` | `getIcon()`
`java.lang.String` | `getName()`
`NodeDesc` | `getNodeDesc(java.lang.String name)`
`java.util.Vector<NodeDesc>` | `getNodeDescList()`
`java.util.Hashtable` | `getProperties()` Get the value of properties.
`java.lang.String` | `getStructureClass()`
`boolean` | `hasActions()`
`void` | `setActions(java.util.Hashtable<java.lang.String,ActionDesc> v)`
`void` | `setAuthor(java.lang.String s)` A sugar method if you don't want to deal with vectors
`void` | `setAuthors(java.util.Vector<java.lang.String> v)`
`void` | `setBase(java.lang.Object s)`
`void` | `setDescription(java.lang.String s)`
`void` | `setDocURL(java.lang.String doc)`
`void` | `setGraphicProperties(java.util.Hashtable v)` Set the value of graphic properties.
`void` | `setIcon(java.lang.String s)`
`void` | `setProperties(java.util.Hashtable v)` Set the value of properties.
`void` | `setStructureClass(java.lang.String s)`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### authors

    public java.util.Vector<java.lang.String> authors

### docURL

    public java.lang.String docURL

### icon

    public java.lang.String icon

### actions

    public java.util.Hashtable<java.lang.String,ActionDesc> actions

Constructor Detail

### Formalism

    public Formalism()

### Formalism

    public Formalism(java.lang.String _name)

### Formalism

    public Formalism(java.lang.String _name,
                     java.lang.String _structClass,
                     java.lang.Object _authors,
                     java.lang.String _htmldoc,
                     java.lang.String _icon)

  constructor used by the scheme function defFormalism

Method Detail

### getName

    public java.lang.String getName()

### getBase

    public java.lang.Object getBase()

### setBase

    public void setBase(java.lang.Object s)

### getIcon

    public java.lang.String getIcon()

### setIcon

    public void setIcon(java.lang.String s)

### getDescription

    public java.lang.String getDescription()

### setDescription

    public void setDescription(java.lang.String s)

### getStructureClass

    public java.lang.String getStructureClass()

### setStructureClass

    public void setStructureClass(java.lang.String s)

### getProperties

    public java.util.Hashtable getProperties()

  Get the value of properties.

  Returns:
    Value of properties.

### setProperties

    public void setProperties(java.util.Hashtable v)

  Set the value of properties.

  Parameters:
    `v` - Value to assign to properties.

### getGraphicProperties

    public java.util.Hashtable getGraphicProperties()

  Get the value of graphic properties.

  Returns:
    Value of graphic properties.

### setGraphicProperties

    public void setGraphicProperties(java.util.Hashtable v)

  Set the value of graphic properties.

  Parameters:
    `v` - Value to assign to properties.

### addConnectorDesc

    public void addConnectorDesc(ConnectorDesc d)

### getConnectorDescList

    public java.util.Vector<ConnectorDesc> getConnectorDescList()

### addNodeDesc

    public void addNodeDesc(NodeDesc d)

### getNodeDescList

    public java.util.Vector<NodeDesc> getNodeDescList()

### addArrowDesc

    public void addArrowDesc(ArrowDesc d)

### getArrowDescList

    public java.util.Vector<ArrowDesc> getArrowDescList()

### hasActions

    public boolean hasActions()

### setActions

    public void setActions(java.util.Hashtable<java.lang.String,ActionDesc> v)

### getActions

    public java.util.Hashtable<java.lang.String,ActionDesc> getActions()

### getAction

    public ActionDesc getAction(java.lang.String s)

### addActionDesc

    public void addActionDesc(ActionDesc a)

### getDesc

    public ElementDesc getDesc(java.lang.String name)

### getNodeDesc

    public NodeDesc getNodeDesc(java.lang.String name)

### getConnectorDesc

    public ConnectorDesc getConnectorDesc(java.lang.String name)

### getArrowDesc

    public ArrowDesc getArrowDesc(java.lang.String name)

### setAuthors

    public void setAuthors(java.util.Vector<java.lang.String> v)

### setAuthor

    public void setAuthor(java.lang.String s)

  A sugar method if you don't want to deal with vectors

### setDocURL

    public void setDocURL(java.lang.String doc)

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### dump

    public void dump()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © Madkit Team (O. Gutknecht, J. Ferber, F. Michel et al.) All Rights Reserved.